<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/TargetConditionsComponents/CCTObject.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d88/_c_c_t_object_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CCTObject.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/d88/_c_c_t_object_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../da/da5/class_c_c_t_object.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/da5/class_c_c_t_object.html">CCTObject</a> : <a class="code hl_class" href="../../de/d1e/class_c_c_t_base.html">CCTBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../da/da5/class_c_c_t_object.html#aadc594a446eaae61eae6db0c6d932610">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../da/da5/class_c_c_t_object.html#aadc594a446eaae61eae6db0c6d932610">m_MaximalActionDistanceSq</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../da/da5/class_c_c_t_object.html#a474ffee8125356d3f05389142f84fe23">    5</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/da5/class_c_c_t_object.html#a474ffee8125356d3f05389142f84fe23">CCTObject</a> ( <span class="keywordtype">float</span> maximal_target_distance = <a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a> )</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {       </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../da/da5/class_c_c_t_object.html#aadc594a446eaae61eae6db0c6d932610">m_MaximalActionDistanceSq</a> = maximal_target_distance * maximal_target_distance;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    }</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../da/da5/class_c_c_t_object.html#a474b4f12f4a2fb27cf0eed77c3586f66">   10</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/da5/class_c_c_t_object.html#a474b4f12f4a2fb27cf0eed77c3586f66">Can</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target )</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {   </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> targetObject = target.GetObject();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="keywordflow">if</span> ( !targetObject || !player )</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> playerHeadPos;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        MiscGameplayFunctions.GetHeadBonePos(player, playerHeadPos);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordtype">float</span> distanceRoot = <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#a21d8662c860e105943718b2da59349e7">DistanceSq</a>(targetObject.GetPosition(), player.GetPosition());</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordtype">float</span> distanceHead = <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#a21d8662c860e105943718b2da59349e7">DistanceSq</a>(targetObject.GetPosition(), playerHeadPos);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">return</span> ( distanceRoot &lt;= <a class="code hl_variable" href="../../da/da5/class_c_c_t_object.html#aadc594a446eaae61eae6db0c6d932610">m_MaximalActionDistanceSq</a> || distanceHead &lt;= <a class="code hl_variable" href="../../da/da5/class_c_c_t_object.html#aadc594a446eaae61eae6db0c6d932610">m_MaximalActionDistanceSq</a> );</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>};</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d8/dd4/class_c_c_t_parent.html">   26</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/dd4/class_c_c_t_parent.html">CCTParent</a> : <a class="code hl_class" href="../../de/d1e/class_c_c_t_base.html">CCTBase</a></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>{</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d8/dd4/class_c_c_t_parent.html#a15ef4de3e04bc973b27a09ece17b1107">   28</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/dd4/class_c_c_t_parent.html#a15ef4de3e04bc973b27a09ece17b1107">m_MaximalActionDistanceSq</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d8/dd4/class_c_c_t_parent.html#ad951b69b306ebc49547320ca755090c2">   30</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dd4/class_c_c_t_parent.html#ad951b69b306ebc49547320ca755090c2">CCTParent</a> ( <span class="keywordtype">float</span> maximal_target_distance = <a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a> )</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {       </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../d8/dd4/class_c_c_t_parent.html#a15ef4de3e04bc973b27a09ece17b1107">m_MaximalActionDistanceSq</a> = maximal_target_distance * maximal_target_distance;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d8/dd4/class_c_c_t_parent.html#a4c2ad48a490d7669cafcf68d1ae39ff7">   35</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dd4/class_c_c_t_parent.html#a4c2ad48a490d7669cafcf68d1ae39ff7">Can</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target )</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {   </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> targetParent = target.GetParent();</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">if</span> ( !targetParent || !player )</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> playerHeadPos;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        MiscGameplayFunctions.GetHeadBonePos(player, playerHeadPos);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordtype">float</span> distanceRoot = <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#a21d8662c860e105943718b2da59349e7">DistanceSq</a>(targetParent.GetPosition(), player.GetPosition());</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordtype">float</span> distanceHead = <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#a21d8662c860e105943718b2da59349e7">DistanceSq</a>(targetParent.GetPosition(), playerHeadPos);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">return</span> ( distanceRoot &lt;= <a class="code hl_variable" href="../../d8/dd4/class_c_c_t_parent.html#a15ef4de3e04bc973b27a09ece17b1107">m_MaximalActionDistanceSq</a> || distanceHead &lt;= <a class="code hl_variable" href="../../d8/dd4/class_c_c_t_parent.html#a15ef4de3e04bc973b27a09ece17b1107">m_MaximalActionDistanceSq</a> );</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>};</div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="aclass_c_c_t_base_html"><div class="ttname"><a href="../../de/d1e/class_c_c_t_base.html">CCTBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dad/_c_c_t_base_8c_source.html#l00001">CCTBase.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_object_html"><div class="ttname"><a href="../../da/da5/class_c_c_t_object.html">CCTObject</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d88/_c_c_t_object_8c_source.html#l00001">CCTObject.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_object_html_a474b4f12f4a2fb27cf0eed77c3586f66"><div class="ttname"><a href="../../da/da5/class_c_c_t_object.html#a474b4f12f4a2fb27cf0eed77c3586f66">CCTObject::Can</a></div><div class="ttdeci">override bool Can(PlayerBase player, ActionTarget target)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d88/_c_c_t_object_8c_source.html#l00010">CCTObject.c:10</a></div></div>
<div class="ttc" id="aclass_c_c_t_object_html_a474ffee8125356d3f05389142f84fe23"><div class="ttname"><a href="../../da/da5/class_c_c_t_object.html#a474ffee8125356d3f05389142f84fe23">CCTObject::CCTObject</a></div><div class="ttdeci">void CCTObject(float maximal_target_distance=UAMaxDistances.DEFAULT)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d88/_c_c_t_object_8c_source.html#l00005">CCTObject.c:5</a></div></div>
<div class="ttc" id="aclass_c_c_t_object_html_aadc594a446eaae61eae6db0c6d932610"><div class="ttname"><a href="../../da/da5/class_c_c_t_object.html#aadc594a446eaae61eae6db0c6d932610">CCTObject::m_MaximalActionDistanceSq</a></div><div class="ttdeci">protected float m_MaximalActionDistanceSq</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d88/_c_c_t_object_8c_source.html#l00003">CCTObject.c:3</a></div></div>
<div class="ttc" id="aclass_c_c_t_parent_html"><div class="ttname"><a href="../../d8/dd4/class_c_c_t_parent.html">CCTParent</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d88/_c_c_t_object_8c_source.html#l00026">CCTObject.c:27</a></div></div>
<div class="ttc" id="aclass_c_c_t_parent_html_a15ef4de3e04bc973b27a09ece17b1107"><div class="ttname"><a href="../../d8/dd4/class_c_c_t_parent.html#a15ef4de3e04bc973b27a09ece17b1107">CCTParent::m_MaximalActionDistanceSq</a></div><div class="ttdeci">protected float m_MaximalActionDistanceSq</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d88/_c_c_t_object_8c_source.html#l00028">CCTObject.c:28</a></div></div>
<div class="ttc" id="aclass_c_c_t_parent_html_a4c2ad48a490d7669cafcf68d1ae39ff7"><div class="ttname"><a href="../../d8/dd4/class_c_c_t_parent.html#a4c2ad48a490d7669cafcf68d1ae39ff7">CCTParent::Can</a></div><div class="ttdeci">override bool Can(PlayerBase player, ActionTarget target)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d88/_c_c_t_object_8c_source.html#l00035">CCTObject.c:35</a></div></div>
<div class="ttc" id="aclass_c_c_t_parent_html_ad951b69b306ebc49547320ca755090c2"><div class="ttname"><a href="../../d8/dd4/class_c_c_t_parent.html#ad951b69b306ebc49547320ca755090c2">CCTParent::CCTParent</a></div><div class="ttdeci">void CCTParent(float maximal_target_distance=UAMaxDistances.DEFAULT)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d88/_c_c_t_object_8c_source.html#l00030">CCTObject.c:30</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_aef260d89bc0f791bc7c313cae73f8450"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00104">ActionConstants.c:104</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
<div class="ttc" id="aclassvector_html_a21d8662c860e105943718b2da59349e7"><div class="ttname"><a href="../../d7/dfc/classvector.html#a21d8662c860e105943718b2da59349e7">vector::DistanceSq</a></div><div class="ttdeci">static proto native float DistanceSq(vector v1, vector v2)</div><div class="ttdoc">Returns the squere distance between tips of two 3D vectors.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_914d5d7754793cbe1c065e338e17d590.html">TargetConditionsComponents</a></li><li class="navelem"><a class="el" href="../../d6/d88/_c_c_t_object_8c.html">CCTObject.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
